# HyperParameter


## Install dependencies
```
pip install -r requirements.txt
```

# Tasks

Computer vision:
 - MNIST
 - CIFAR-10 + ResNet34
 - CIFAR100

NLP:
    Finetuning BERT

VAE:
	CelebA

GAN:
	SNGAN

Reinforcement learning:
    Q-learning / Actor-critic on some control problems


# How to run our benchmarking protocol
First, create a virtual environment:

```bash
conda create --name hyper python=3.7
conda activate hyper
pip install -r requirements.txt
```

You might see some errors when installing packages, that are false alarms.
Next, run the following command to run different tasks for all optimization algorithms.

```bash
mkdir checkpoint
bash run_many.sh
```
