import torch_optimizer as optim


class NewLAMB(optim.Lamb):
    """This is the same Lamb but slightly different initialization function."""

    def __init__(
        self,
        params,
        lr=0.001,
        new_beta1=0.1,
        new_beta2=0.001,
        eps=1e-06,
        weight_decay=0,
        clamp_value=10,
        adam=False,
        debias=False
    ):
        super().__init__(
            params,
            lr=lr,
            betas=(1 - new_beta1, 1 - new_beta2),
            eps=eps,
            weight_decay=weight_decay,
            clamp_value=clamp_value,
            adam=adam,
            debias=debias
        )
