import torch_optimizer as optim


class NewYogi(optim.Yogi):
    """This is the same Yogi but slightly different initialization function."""

    def __init__(
        self,
        params,
        lr=0.01,
        new_beta1=0.1,
        new_beta2=0.001,
        eps=1e-03,
        initial_accumulator=1e-06,
        weight_decay=0,
    ):
        super().__init__(
            params,
            lr=lr,
            betas=(1 - new_beta1, 1 - new_beta2),
            eps=eps,
            initial_accumulator=initial_accumulator,
            weight_decay=weight_decay,
        )
